org.apache.sling.commons.osgi

## Enum Order

- java.lang.Object
- - java.lang.Enum<Order>
  - - org.apache.sling.commons.osgi.Order

All Implemented Interfaces:
  Serializable, Comparable<Order>

    public enum Order
    extends Enum<Order>

Order for services being sorted by `ServiceUtil.getComparableForServiceRanking(java.util.Map, Order)` or `RankedServices`. Either `ASCENDING` meaning services with lowest service ranking first or `DESCENDING` meaning services with highest service ranking first.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASCENDING`
`DESCENDING`

### Field Summary

Fields
`int` `greaterThan`
`int` `lessThan`

### Method Summary

All Methods Static Methods Concrete Methods
`static Order` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Order[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASCENDING

    public static final Order ASCENDING

#### DESCENDING

    public static final Order DESCENDING

### Field Detail

#### lessThan

    public final int lessThan

#### greaterThan

    public final int greaterThan

### Method Detail

#### values

    public static Order[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Order c : Order.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Order valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null